Loading...
Searching...
No Matches
ExtendableGraphComponent< BAS > Class Template Reference

## Detailed Description

template<typename BAS = BaseGraphComponent>
class lemon::concepts::ExtendableGraphComponent< BAS >

This class describes the interface of extendable undirected graphs. It extends BaseGraphComponent with functions for adding nodes and edges to the graph. This concept requires AlterableGraphComponent.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for ExtendableGraphComponent< BAS >:
[legend]

## Public Member Functions

Node | addNode ()
| Add a new node to the digraph.
Edge | addEdge (const Node &, const Node &)
| Add a new edge connecting the given two nodes.
Public Member Functions inherited from BaseGraphComponent
Node | u (const Edge &) const
| Return one end node of an edge.
Node | v (const Edge &) const
| Return the other end node of an edge.
Arc | direct (const Edge &, bool) const
| Return a directed arc related to an edge.
Arc | direct (const Edge &, const Node &) const
| Return a directed arc related to an edge.
bool | direction (const Arc &) const
| Return the direction of the arc.
Arc | oppositeArc (const Arc &) const
| Return the opposite arc.
Public Member Functions inherited from BaseDigraphComponent
Node | source (const Arc &) const
| Return the source node of an arc.
Node | target (const Arc &) const
| Return the target node of an arc.
Node | oppositeNode (const Node &, const Arc &) const
| Return the opposite node on the given arc.

## Additional Inherited Members

Public Types inherited from BaseDigraphComponent
typedef GraphItem< 'n'> | Node
| Node class of the digraph.
typedef GraphItem< 'a'> | Arc
| Arc class of the digraph.

## Member Function Documentation

## addNode()

template<typename BAS = BaseGraphComponent>

Node addNode | ( |  | ) |

inline

This function adds a new node to the digraph.

## addEdge()

template<typename BAS = BaseGraphComponent>

Edge addEdge | ( | const Node & | ,
|  | const Node & | )

inline

This function adds a new edge connecting the given two nodes of the graph.